Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class ComponentAttribute

    java.lang.Object
      org.richfaces.renderkit.ComponentAttribute

All Implemented Interfaces:
  Comparable<ComponentAttribute>

    public class ComponentAttribute

extends Object
implements Comparable<ComponentAttribute>

Author:
  Nick Belaevski

Nested Class Summary
`static class` | `ComponentAttribute.Kind`

Constructor Summary
`ComponentAttribute(String htmlAttributeName)`

Method Summary
`int` | `compareTo(ComponentAttribute o)`
`static Map<String,ComponentAttribute>` | `createMap(ComponentAttribute... attributes)`
`String` | `getComponentAttributeName()`
`Object` | `getDefaultValue()`
`String[]` | `getEventNames()`
`String` | `getHtmlAttributeName()`
`ComponentAttribute.Kind` | `getKind()`
`ComponentAttribute` | `setComponentAttributeName(String componentAttributeName)`
`void` | `setDefaultValue(Object dafaultValue)`
`ComponentAttribute` | `setEventNames(String... eventNames)`
`void` | `setKind(ComponentAttribute.Kind kind)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentAttribute

    public ComponentAttribute(String htmlAttributeName)

Method Detail

### getDefaultValue

    public Object getDefaultValue()

  Returns:
    the defaultValue

### setDefaultValue

    public void setDefaultValue(Object dafaultValue)

  Parameters:
    `defaultValue` - the defaultValue to set

### getKind

    public ComponentAttribute.Kind getKind()

  Returns:
    the kind

### setKind

    public void setKind(ComponentAttribute.Kind kind)

  Parameters:
    `kind` - the kind to set

### createMap

    public static final Map<String,ComponentAttribute> createMap(ComponentAttribute... attributes)

### getHtmlAttributeName

    public String getHtmlAttributeName()

  Returns:
    the name

### getComponentAttributeName

    public String getComponentAttributeName()

  Returns:
    the componentAttributeName

### setComponentAttributeName

    public ComponentAttribute setComponentAttributeName(String componentAttributeName)

  Parameters:
    `componentAttributeName` - the componentAttributeName to set
  Returns:

### getEventNames

    public String[] getEventNames()

  Returns:
    the eventNames

### setEventNames

    public ComponentAttribute setEventNames(String... eventNames)

  Parameters:
    `eventNames` - the eventNames to set
  Returns:

### compareTo

    public int compareTo(ComponentAttribute o)

  Specified by:
    `compareTo` in interface `Comparable<ComponentAttribute>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.